Waldemar Brodkorb 3 месяцев назад
Родитель
Сommit
5859418656

+ 0 - 34
package/vtun/Makefile

@@ -1,34 +0,0 @@
-# This file is part of the OpenADK project. OpenADK is copyrighted
-# material, please see the LICENCE file in the top-level directory.
-
-include ${ADK_TOPDIR}/rules.mk
-
-PKG_NAME:=		vtun
-PKG_VERSION:=		3.0.4
-PKG_RELEASE:=		1
-PKG_HASH:=		abf8df6b15e3febeaaeae2ce24ead7105eb1537ad4ec0d830c83cbb684fd98b9
-PKG_DESCR:=		vpn tunnel daemon
-PKG_SECTION:=		net/security
-PKG_DEPENDS:=		zlib liblzo libopenssl
-PKG_BUILDDEP:=		zlib liblzo openssl
-PKG_KDEPENDS:=		tun
-PKG_SITES:=		${MASTER_SITE_SOURCEFORGE:=vtun/}
-
-DISTFILES:=		${PKG_NAME}-${PKG_VERSION}.tar.gz
-
-include ${ADK_TOPDIR}/mk/package.mk
-
-$(eval $(call PKG_template,VTUN,vtun,${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
-
-INSTALL_STYLE:=		manual
-
-CONFIGURE_ARGS+=	--with-ssl-headers=$(STAGING_TARGET_DIR)/usr/include/openssl \
-			--disable-lzo
-ALL_TARGET:=		vtund
-
-do-install:
-	${INSTALL_DIR} ${IDIR_VTUN}/usr/sbin ${IDIR_VTUN}/etc
-	${INSTALL_DATA} ${WRKBUILD}/vtund.conf ${IDIR_VTUN}/etc/
-	${INSTALL_BIN} ${WRKBUILD}/vtund ${IDIR_VTUN}/usr/sbin/
-
-include ${ADK_TOPDIR}/mk/pkg-bottom.mk

+ 0 - 1
package/vtun/files/vtun.conffiles

@@ -1 +0,0 @@
-/etc/vtund.conf

+ 0 - 11
package/vtun/patches/patch-cfg_file_y

@@ -1,11 +0,0 @@
---- vtun-3.0.4.orig/cfg_file.y	2016-10-01 23:27:51.000000000 +0200
-+++ vtun-3.0.4/cfg_file.y	2019-10-08 12:07:01.383933126 +0200
-@@ -610,7 +610,7 @@ int clear_nat_hack_client(void *d, void
- }
- 
- /* Clear the VTUN_NAT_HACK flag which are not relevant to the current operation mode */
--inline void clear_nat_hack_flags(int svr)
-+extern inline void clear_nat_hack_flags(int svr)
- {
- 	if (svr)
- 		llist_trav(&host_list,clear_nat_hack_server,NULL);

+ 0 - 144
package/vtun/patches/patch-configure

@@ -1,144 +0,0 @@
-$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
---- vtun-3.0.4.orig/configure	2009-03-29 12:08:48.000000000 +0200
-+++ vtun-3.0.4/configure	2019-10-08 11:46:57.270777719 +0200
-@@ -5671,140 +5671,6 @@ echo "$as_me: error: SSL headers not fou
- 
- fi
- 
--if test "$SSL" = "yes"; then
--   echo "$as_me:$LINENO: result: " >&5
--echo "${ECHO_T}" >&6
--   { echo "$as_me:$LINENO: checking for blowfish Library and Header files ... ..." >&5
--echo "$as_me: checking for blowfish Library and Header files ... ..." >&6;}
--
--    echo "$as_me:$LINENO: checking \"for blowfish.h\"" >&5
--echo $ECHO_N "checking \"for blowfish.h\"... $ECHO_C" >&6
--    ac_hdr_found=no
--    for p in $BLOWFISH_HDR_DIR /usr/include/ssl /usr/include/openssl /usr/include /usr/local/include /usr/local/ssl/include  /usr/include/crypto; do
--	if test -n "$p"; then
--	  dir="$p"
--	else
--	  dir="/usr/include"
--	fi
--
--    ac_file_found=yes
--    for f in blowfish.h; do
--	if test ! -f $dir/$f; then
--    	   ac_file_found=no
--	   break;
--	fi
--    done
--
--    if test "$ac_file_found" = "yes" ; then
--
--     	       ac_hdr_found=yes
--	       break
--
--
--    else
--	:
--    fi
--
--    done
--    if test "$ac_hdr_found" = "yes" ; then
--	if test -n "$p"; then
--	  CPPFLAGS="$CPPFLAGS -I$p"
--	fi
--        echo "$as_me:$LINENO: result: ($dir) yes " >&5
--echo "${ECHO_T}($dir) yes " >&6
--	echo "$as_me:$LINENO: checking for BF_set_key in -lcrypto" >&5
--echo $ECHO_N "checking for BF_set_key in -lcrypto... $ECHO_C" >&6
--if test "${ac_cv_lib_crypto_BF_set_key+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  ac_check_lib_save_LIBS=$LIBS
--LIBS="-lcrypto  $LIBS"
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--
--/* Override any gcc2 internal prototype to avoid an error.  */
--#ifdef __cplusplus
--extern "C"
--#endif
--/* We use char because int might match the return type of a gcc2
--   builtin and then its argument prototype would still apply.  */
--char BF_set_key ();
--int
--main ()
--{
--BF_set_key ();
--  ;
--  return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
--  (eval $ac_link) 2>conftest.er1
--  ac_status=$?
--  grep -v '^ *+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } &&
--	 { ac_try='test -z "$ac_c_werror_flag"
--			 || test ! -s conftest.err'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; } &&
--	 { ac_try='test -s conftest$ac_exeext'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_cv_lib_crypto_BF_set_key=yes
--else
--  echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--ac_cv_lib_crypto_BF_set_key=no
--fi
--rm -f conftest.err conftest.$ac_objext \
--      conftest$ac_exeext conftest.$ac_ext
--LIBS=$ac_check_lib_save_LIBS
--fi
--echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_BF_set_key" >&5
--echo "${ECHO_T}$ac_cv_lib_crypto_BF_set_key" >&6
--if test $ac_cv_lib_crypto_BF_set_key = yes; then
--
--	       LIBS="$LIBS -lcrypto"
--	       cat >>confdefs.h <<\_ACEOF
--#define HAVE_SSL 1
--_ACEOF
--
--	       cat >>confdefs.h <<\_ACEOF
--#define HAVE_SSL_BLOWFISH 1
--_ACEOF
--
--
--else
--  { { echo "$as_me:$LINENO: error: SSL library not found. " >&5
--echo "$as_me: error: SSL library not found. " >&2;}
--   { (exit 1); exit 1; }; }
--
--fi
--
--    else
--        echo "$as_me:$LINENO: result: \"no\"" >&5
--echo "${ECHO_T}\"no\"" >&6
--	{ { echo "$as_me:$LINENO: error: SSL headers not found. " >&5
--echo "$as_me: error: SSL headers not found. " >&2;}
--   { (exit 1); exit 1; }; }
--
--    fi
--
--fi
- 
- if test "$SSL" = "yes"; then
-    echo "$as_me:$LINENO: result: " >&5